/*
 * 10/04/2002
 *
 * ActionSyntax
 * Copyright (C) 2002 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.actions;

import javax.swing.*;

/** Class grant l'action permettant de changer lengthtype de coloration syntaxique
 */
public class ActionSyntax extends MenuAction {
    
    /** Constructeur
     */  
    public ActionSyntax() {
        super("syntax");
    }
    
    /** Action le changement de syntax
     * @param actionEvent vnement gnrant l'action
     */    
    public void actionPerformed(java.awt.event.ActionEvent evt) {
        String s = ((String)((JComboBox)evt.getSource()).getSelectedItem());
        parent.getTabbedPane().getCurrentPanelText().getTextArea().changeSyntax(s);
    }   
}
